package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class StatusKeluar
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "StatusKeluar_M")
public class StatusKeluar extends BaseMaster {

	@ManyToOne
	@JoinColumn(name = "ObjectJenisKondisiPasienFk")
	@Caption(value = "Object Jenis Kondisi Pasien")
	private JenisKondisiPasien jenisKondisiPasien;

	@Column(name = "ObjectJenisKondisiPasienFk", insertable = false, updatable = false)
	private Integer jenisKondisiPasienId;

	@NotNull(message = "Kd Status Keluar tidak boleh kosong")
	@Column(name = "KdStatusKeluar", nullable = false)
	@Caption(value = "Kode Status Keluar")
	private Byte kdStatusKeluar;

	@NotNull(message = "QStatus Keluar tidak boleh kosong")
	@Column(name = "QStatusKeluar", nullable = false)
	@Caption(value = "QStatus Keluar")
	private Byte qStatusKeluar;

	@NotNull(message = "Status Keluar tidak boleh kosong")
	@Column(name = "StatusKeluar", nullable = false, length = 30)
	@Caption(value = "Status Keluar")
	private String statusKeluar;

	public JenisKondisiPasien getJenisKondisiPasien() {
		return jenisKondisiPasien;
	}

	public void setJenisKondisiPasien(JenisKondisiPasien jenisKondisiPasien) {
		this.jenisKondisiPasien = jenisKondisiPasien;
	}

	public Integer getJenisKondisiPasienId() {
		return jenisKondisiPasienId;
	}

	public void setJenisKondisiPasienId(Integer jenisKondisiPasienId) {
		this.jenisKondisiPasienId = jenisKondisiPasienId;
	}

	public Byte getKdStatusKeluar() {
		return kdStatusKeluar;
	}

	public void setKdStatusKeluar(Byte kdStatusKeluar) {
		this.kdStatusKeluar = kdStatusKeluar;
	}

	public Byte getqStatusKeluar() {
		return qStatusKeluar;
	}

	public void setqStatusKeluar(Byte qStatusKeluar) {
		this.qStatusKeluar = qStatusKeluar;
	}

	public String getStatusKeluar() {
		return statusKeluar;
	}

	public void setStatusKeluar(String statusKeluar) {
		this.statusKeluar = statusKeluar;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.statuskeluar_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.statuskeluar_m_id_seq", sequenceName = "public.statuskeluar_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}